> ## Documentation Index
> Fetch the complete documentation index at: https://docs.cocoondata.com/llms.txt
> Use this file to discover all available pages before exploring further.

# <access-service>/api/v1/organisations/{orgId}/groups/{groupId}/labels

## URL structure&#x20;

```text theme={null}
https://access-service.xy-company.com/api/v1/organisations/{orgId}/groups/{groupId}/labels
```

where `{orgId}` is the ID of an organization and `{groupId}` is the ID of one of this organization's groups.

## Supported methods and overview&#x20;

* `GET` - used to retrieve a list of information for all [classifications](/3.3/admin-org/managing-classifications.md) that are currently associated with a [group](/3.3/admin-org/managing-groups.md) (specified by `groupId`) in an organization (specified by `orgId`).

> [!NOTE]
>
> This method takes no parameters.

## Detailed description&#x20;

This API endpoint retrieves a list of information for all classifications that are currently associated with a group (specified by `groupId`) in an organization (specified by `orgId`).

A group's ID can be obtained by calling the `GET` method of the [\<access-service>/api/v1/organisations/\{orgId}/groups](/3.3/api/access-service-api-v1-organisations-orgid-groups.md) API endpoint, which retrieves a list of information for all groups in the organization (specified by `orgId`).

## Supported roles and conditions&#x20;

This API endpoint supports requests utilizing Covata user accounts with the following [roles](/3.3/admin-org/administering-users-within-an-organisation.md#an-organisation-users-roles) (as described in the [Organization Administrator's Guide](/3.3/admin-org.md)) and conditions:

* [Organization administrator](/3.3/admin-org/administering-users-within-an-organisation.md#organisation-administrator-role) - if this user is a member of the organization specified by `{orgId}` in the request's URL.

The Covata Platform's resources available to one of these Covata users (above) is determined by the access token submitted in the [header](/3.3/api/access-service-api-v1-organisations-orgid-groups-groupid-labels.md#access-service-api-v1-organisations-orgid-groups-groupid-labels-required-headers) of requests to this endpoint.

## Required headers&#x20;

The appropriate access token as the `Bearer` token:

* `Authorization: Bearer eyJhbGciOiJSUzI1NiJ9.eyJleHAiOjE0NjcwMTY2NjYsInVzZXJfbmFtZSI6ImFsZXgub...`

## Returns&#x20;

A JSON-formatted response containing the following members:

* **items** - .
* **id** - .
* **name** - .
* **priority** - .
* **applyI18n** - .
* **count** - .
* **offset** - .

  **Example (response):**

  ```json theme={null}
  {
      "items": [{
          "id": "766862496543055872",
          "name": {
              "value": "Unclassified"
          },
          "priority": "3",
          "applyI18n": false
      }, {
          "id": "766860228984872960",
          "name": {
              "value": "Restricted/Protected"
          },
          "priority": "2",
          "applyI18n": false
      }],
      "count": "2",
      "offset": "0"
  }
  ```


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.